View Issue Details

IDProjectCategoryView StatusLast Update
0004385SymmetricDSNew Featurepublic2020-06-04 13:55
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.25 
Target Version3.9.25Fixed in Version3.9.25 
Summary0004385: Kafka message key for ordering with partitioned topics
DescriptionSend a key along with message to Kafka, which allows messages with the same key to be sent in an ordered fashion to the same partition on a topic. For a message by row, send a key as the hash of the row's table name and primary key values. For a message by batch, send a key as the hash of the source node ID and the batch ID.
Tagsdialect: kafka

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 d8d2009d

2020-05-01 16:16:52

admin

Details Diff
0004385: Kafka message key for ordering with partitioned topics
0004385
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/load/KafkaWriterFilter.java Diff File

SymmetricDS: 3.10 d3f0a3ae

2020-05-01 16:16:52

admin

Details Diff
0004385: Kafka message key for ordering with partitioned topics
# Conflicts:
# symmetric-core/src/main/java/org/jumpmind/symmetric/load/KafkaWriterFilter.java

0004385
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/load/KafkaWriterFilter.java Diff File

Issue History

Date Modified Username Field Change
2020-05-01 16:00 elong New Issue
2020-05-01 16:00 elong Status new => assigned
2020-05-01 16:00 elong Assigned To => elong
2020-05-01 16:00 elong Tag Attached: dialect: kafka
2020-05-01 16:49 elong Status assigned => resolved
2020-05-01 16:49 elong Resolution open => fixed
2020-05-01 16:49 elong Fixed in Version => 3.9.25
2020-05-26 12:36 elong Status resolved => closed
2020-06-04 13:55 admin Changeset attached => SymmetricDS 3.9 d8d2009d
2020-06-04 13:55 admin Changeset attached => SymmetricDS 3.10 d3f0a3ae